from EduNLP.SIF import sif4sci
from EduNLP.Tokenizer import get_tokenizer
items = "As shown in $\\FigureID{1}$, the area of triangle $ABC$ is $\\SIFBlank$"
tokens = sif4sci(items, tokenization_params={'formula_params': {'method': 'ast'}})
# ['As', 'shown', 'in', '\\FigureID{1'}, ',', 'the', 'area', 'of', 'triangle', <Formula: ABC>, 'is', '\\SIFBlank']
tokenizer = get_tokenizer("pure_text")
tokens = tokenizer(items)
# ['As', 'shown', 'in', '[FIGURE], ',', 'the', 'area', 'of', 'triangle', 'ABC', 'is', '[MASK]']