from EduNLP.Tokenizer import get_tokenizer

items = [
    "The formula $\FormFigureID{1}$ is given, as shown in the figure $\FigureID{088f15ea-xxx}$. If $x, y$ satisfy the constrained formula $\FormFigureBase64{2}$, $\SIFSep$, then the maximum value of $z=x+7y$ is $\SIFBlank$."
]

tokenizer = get_tokenizer("ast_formula")
tokens = tokenizer(items)

# ['The', 'formula', '[FORMULA]', 'is', ...,  '[FIGURE]', 'If', 'mathord_0', ',', 'mathord_1', 'satisfy', ..., '[FORMULA]', '[SEP]', 'then', 'the' 'maximum', ..., 'of', 'mathord_2', '=', 'mathord_0', '+', 'textord', 'mathord_1', 'is', '[MARK]']